<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <service>chrony</service>
        <service_access service='ntp'>
            <port protocol='udp'>123</port>
            <tcpwrapper>chronyd</tcpwrapper>
        </service_access>
        <file name='/etc/chrony/chrony.conf'/>
    </files>
    <variables>
        <family name='général'>
            <variable name='serveur_ntp' type='domain' description='Adresse du serveur NTP' multi='True' mandatory='True'>
                <value>0.fr.pool.ntp.org</value>
                <value>1.fr.pool.ntp.org</value>
                <value>2.fr.pool.ntp.org</value>
                <value>3.fr.pool.ntp.org</value>
            </variable>
        </family>
        <family name='ntp' mode='expert' icon='time'>
            <variable name='use_fallback_ntp_pool' type='oui/non' description='Utiliser un pool supplémentaire de serveurs ntp par défaut'>
                <value>oui</value>
            </variable>
            <variable name='fallback_ntp_pool' type='domain' description='Pool supplémentaire de serveurs ntp par défaut' mode='expert'>
                <value>europe.pool.ntp.org</value>
            </variable>
            <variable name='ntp_timeout' type='number' description="Durée du délai d'attente des serveurs NTP">
                <value>30</value>
            </variable>
            <variable name='ntp_allow_directives' type='oui/non' description="Autorisations supplémentaires d'utilisation du serveur NTP">
                <value>non</value>
            </variable>
            <variable name='ntp_allow' type='string' description='Directive allow pour chrony' multi='True'/>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='ntp_allow_directives'>
            <param>non</param>
            <target>ntp_allow</target>
        </condition>
    </constraints>
    <help>
        <family name='ntp'>Configuration avancée du client NTP</family>
        <variable name='serveur_ntp'>Nom ou adresse IP du serveur de temps</variable>
        <variable name='use_fallback_ntp_pool'>Ajoute l’ensemble des serveurs pointés par le pool NTP de secours à la liste des références de synchronisation pour le temps</variable>
        <variable name='fallback_ntp_pool'>Nom du pool NTP de secours</variable>
        <variable name='ntp_allow_directives'>Autorise l’ajout de directives allow supplémentaires dans la configuration chrony</variable>
        <variable name='ntp_allow'>Réseau ou adresse autorisé à utiliser le serveur NTP</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
